Subject: Re: bug#64187: guix locate: unsupported manifest format

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 04 Jul 2023 08:16:31 +0200

Ludovic Courtès <[email-masked]> writes:

> However, how can it happen?  ‘guix locate’ knows all the manifest format
> version, so maybe it mistook a file for a manifest when in fact it’s
> something else?
>
> Could you ‘strace -o /tmp/log.strace guix locate ls’ to get the name of
> the offending file for now?

The last manifest it reads is
/gnu/var/guix/profiles/per-user/wneuber/guix-profile-1-link/manifest
with the following contents

--8<---------------cut here---------------start------------->8---
(manifest
  (version 1)
  (packages
    (("gcc"
      "4.9.2"
      "out"
      "/gnu/store/ym7sybrdifnm3g0rafhclv891niaczcv-gcc-4.9.2"
      ()))))
--8<---------------cut here---------------end--------------->8---

-- 
Ricardo